org.apache.commons.math3.optim

## Class PointVectorValuePair

- java.lang.Object
- - org.apache.commons.math3.util.Pair<double[],double[]>
  - - org.apache.commons.math3.optim.PointVectorValuePair

- All Implemented Interfaces:
    java.io.Serializable

      public class PointVectorValuePair
      extends Pair<double[],double[]>
      implements java.io.Serializable

  This class holds a point and the vectorial value of an objective function at that point.
  Since:
    3.0
  Version:
    $Id: PointVectorValuePair.java 1416643 2012-12-03 19:37:14Z tn $
  See Also:
    `PointValuePair`, `MultivariateVectorFunction`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `PointVectorValuePair.DataTransferObject` Internal class used only for serialization.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable UID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointVectorValuePair(double[] point, double[] value)` Builds a point/objective function value pair.
    `PointVectorValuePair(double[] point, double[] value, boolean copyArray)` Build a point/objective function value pair.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getPoint()` Gets the point.
    `double[]` | `getPointRef()` Gets a reference to the point.
    `double[]` | `getValue()` Gets the value of the objective function.
    `double[]` | `getValueRef()` Gets a reference to the value of the objective function.
    `private java.lang.Object` | `writeReplace()` Replace the instance with a data transfer object for serialization.

    - ### Methods inherited from class org.apache.commons.math3.util.Pair

      `equals, getFirst, getKey, getSecond, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PointVectorValuePair

          public PointVectorValuePair(double[] point,
                              double[] value)

      Builds a point/objective function value pair.
      Parameters:
        `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
        `value` - Value of the objective function at the point.

    - #### PointVectorValuePair

          public PointVectorValuePair(double[] point,
                              double[] value,
                              boolean copyArray)

      Build a point/objective function value pair.
      Parameters:
        `point` - Point coordinates.
        `value` - Value of the objective function at the point.
        `copyArray` - if `true`, the input arrays will be copied, otherwise they will be referenced.

  - ### Method Detail

    - #### getPoint

          public double[] getPoint()

      Gets the point.
      Returns:
        a copy of the stored point.

    - #### getPointRef

          public double[] getPointRef()

      Gets a reference to the point.
      Returns:
        a reference to the internal array storing the point.

    - #### getValue

          public double[] getValue()

      Gets the value of the objective function.
      Overrides:
        `getValue` in class `Pair<double[],double[]>`
      Returns:
        a copy of the stored value of the objective function.

    - #### getValueRef

          public double[] getValueRef()

      Gets a reference to the value of the objective function.
      Returns:
        a reference to the internal array storing the value of the objective function.

    - #### writeReplace

          private java.lang.Object writeReplace()

      Replace the instance with a data transfer object for serialization.
      Returns:
        data transfer object that will be serialized

Copyright (c) 2003-2013 Apache Software Foundation